VMware

VMware Horizon View 5.3 Feature Pack 2 Release Notes

Horizon View 5.3 Feature Pack 2 | 18 April 2014

Last Updated: 17 April 2014

These release notes cover the following topics:

What's New in This Release

If Horizon View 5.3 Feature Pack 1 is installed on your View desktops, you must upgrade to Horizon View 5.3 Feature Pack 2. Specifically, if you installed the HTML Access Agent component in the Remote Experience Agent, you must upgrade to Horizon View 5.3 Feature Pack 2.

The VMware Horizon View 5.3 Feature Pack 2 release updates the VMware Horizon View 5.3 Feature Pack 1 release to resolve a security issue found in the OpenSSL 1.0.1 library.

In Horizon View 5.3 Feature Pack 2, the OpenSSL library is updated to version openssl-1.0.1g to resolve multiple security issues.
The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the names CVE-2014-0076 and CVE-2014-0160 to these issues.
CVE-2014-0160 is known as the Heartbleed issue.

Other than resolving the security vulnerability in the OpenSSL 1.0.1 library, this release is exactly the same as the VMware Horizon View 5.3 Feature Pack 1 release. For more information, see the VMware Horizon View 5.3 Feature Pack 1 Release Notes.

For information about all features provided by the VMware Horizon View Feature Pack, see the VMware Horizon View Feature Pack Installation and Administration document.

Upgrading to This Release

To upgrade, run the Horizon View 5.3 Feature Pack 2 Remote Experience Agent installer on all desktops where Horizon View 5.3 Feature Pack 1 is currently installed. For linked clone pools, you can upgrade the Remote Experience Agent installer on the parent virtual machine and recompose the desktops in the pool.

You do not have to upgrade the HTML Access installer on View Connection Server.

For complete steps for remediating the vulnerability in VMware Horizon View 5.3 Feature Pack 1 caused by the Heartbleed issue, see KB 2076796: VMware Horizon View and the Heartbleed Bug.

Top of Page